Minimum System Requirements

globaledit Support -


PC System Requirements

  • Windows 7

MAC System Requirements 

  • Mac OS X Mavericks v10.9

Supported Browsers

To make sure you have best experience possible, we recommend using the most up-to-date version of one of the following browsers:
 
Required Browser Plug-Ins
 
Recommended Browser Plug-In

In order to install the iOS App you need the following system requirements: 

  • iOS 8

We suggest the following hardware:

  • iPhone 5 or newer
  • iPad 2 or newer

In order to install globaledit desktop you need the following system requirements: 

  • Mac OS X 10.7 or later
Can't find what you're looking for?
We're here to help. Send us a support ticket.
SEND